Lire les métadonnées de rédaction des AIP
GET/api/public/v1/aip/authoring-metadata beta
The four brief entries, whether recordings can be transcribed, the bounds a request must stay inside, and the languages a brief may be written in (any). 409 AI_NOT_ENABLED when AI authoring is not enabled.
curl --fail-with-body -X GET 'https://app.openlatch.ai/api/public/v1/aip/authoring-metadata' \ -H "Authorization: Bearer $OPENLATCH_API_KEY"import jsonimport osimport urllib.request
request = urllib.request.Request( 'https://app.openlatch.ai/api/public/v1/aip/authoring-metadata', method='GET', headers={ 'Authorization': 'Bearer ' + os.environ['OPENLATCH_API_KEY'], },)with urllib.request.urlopen(request) as response: text = response.read().decode() print(json.dumps(json.loads(text), indent=2) if text else response.status)#!/usr/bin/env bashset -euo pipefail
curl -sS --fail-with-body -X GET 'https://app.openlatch.ai/api/public/v1/aip/authoring-metadata' \ -H "Authorization: Bearer $OPENLATCH_API_KEY" | jq .$headers = @{ Authorization = "Bearer $env:OPENLATCH_API_KEY"}Invoke-RestMethod -Method GET -Uri 'https://app.openlatch.ai/api/public/v1/aip/authoring-metadata' -Headers $headers | ConvertTo-Json -Depth 20Autorisation
Section intitulée « Autorisation »| Rôle dans l’organisation | Ce point de terminaison |
|---|---|
owner | Autorisé |
admin | Autorisé |
editor | Autorisé |
viewer | Autorisé |
Une clé porte le rôle que son propriétaire détient dans l’organisation. Voir Authentification.
Portée de clé d’API : aip:read
- 200 OK — l’appel a réussi.
- 401 Unauthorized —
UNAUTHORIZED - 402 Payment Required —
license_expired - 403 Forbidden —
FEATURE_DISABLED,FORBIDDEN,INSUFFICIENT_SCOPE - 409 Conflict —
AI_NOT_ENABLED - 422 Unprocessable Content —
INVALID_ID,VALIDATION_ERROR - 429 Too Many Requests —
TOO_MANY_REQUESTS - 500 Internal Server Error —
INTERNAL_SERVER_ERROR,tenant_isolation_violation - 503 Service Unavailable —
FEATURE_STATE_UNAVAILABLE,SERVICE_UNAVAILABLE
Champs de la réponse
Section intitulée « Champs de la réponse »| Champ | Type | Description |
|---|---|---|
data | object | Obligatoire. The four brief entries, whether recordings can be transcribed, the bounds, and the languages (any). |
data.entries | array of string — one of paste, upload, record, preset | Obligatoire. |
data.languages | string — any | |
data.limits | object | Obligatoire. |
data.limits.dictionary_value_max_chars | integer | Obligatoire. |
data.limits.dictionary_values_per_table_max | integer | Obligatoire. |
data.limits.max_upload_bytes | integer | Obligatoire. |
data.limits.sentence_max_chars | integer | Obligatoire. |
data.speech_available | boolean | Obligatoire. |
Exemple de réponse
Section intitulée « Exemple de réponse »{ "data": { "entries": [ "paste" ], "languages": "any", "limits": { "dictionary_value_max_chars": 3, "dictionary_values_per_table_max": 3, "max_upload_bytes": 3, "sentence_max_chars": 3 }, "speech_available": false }}